## firefox 64.0.2~mozillabinaries

=== debian/changelog ===
firefox (64.0.2~mozillabinaries-1mx17+1) mx; urgency=medium

  * Repackaged for MX 17 & 18/

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 09 Jan 2019 17:20:12 -0800

firefox (64.0~mozillabinaries-1mx17+3) mx; urgency=medium

  * Removed line "Path=" from firefox.desktop file
  * to fix translation issue.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 23 Dec 2018 08:00:36 -0800

firefox (64.0~mozillabinaries-1mx17+2) mx; urgency=medium

  * Added policies.json to the distribution folder
  * from the rules file to turn off update nags.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 22 Dec 2018 07:59:50 -0800

## firefox 65.0~mozillabinaries

=== debian/changelog ===
firefox (65.0~mozillabinaries-1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 28 Jan 2019 17:18:11 -0800

## firefox 65.0.1~mozillabinaries

=== debian/changelog ===
firefox (65.0.1~mozillabinaries-1mx15+1) mx; urgency=medium

  * Repackaged for MX-15/16.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 12 Feb 2019 15:07:06 -0800

firefox (65.0.1~mozillabinaries-1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 12 Feb 2019 15:03:08 -0800

firefox (65.0~mozillabinaries-1mx15+1) mx; urgency=medium

  * Repackaged for MX-15/16.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 28 Jan 2019 17:21:57 -0800

=== debian/control ===
Source: firefox
Section: web
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Steven Pusser <stevep@mxlinux.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.2
Homepage: http://mozilla.org

Package: firefox
Architecture: i386 amd64
Depends: libgtk-3-0 (>= 3.4),
         libglib2.0-0 (>= 2.32.0),
         libpango1.0-0 (>= 1.30.0),
         pulseaudio | apulse
Provides: x-www-browser
Breaks: iceweasel
Replaces: firefox-amd64, firefox-i686, iceweasel
Conflicts: firefox-amd64, firefox-i686, iceweasel
Description: The Firefox web browser
 The Mozilla Firefox Web Browser. It is a powerful, extensible web browser
 with support for modern web application technologies. 
 .
 This package consists of the Mozilla-provided static binaries and support
 files bundled into a debianized package.

## firefox 65.0.1

=== debian/changelog ===
firefox (65.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2019-04, also known as:
    CVE-2018-18356, CVE-2019-5795, CVE-2018-18511.

  * debian/rules, debian/upstream.mk: Manually set the update channel.
    Closes: #921381, #921121, #921654.
  * debian/rules: Build with -mfp32 on mips and mipsel. This should fix the
    FTBFS.

 -- Mike Hommey <glandium@debian.org>  Thu, 14 Feb 2019 19:33:05 +0900

firefox (65.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2019-01, also known as:
    CVE-2018-18500, CVE-2018-18503, CVE-2018-18504, CVE-2018-18505,
    CVE-2018-18506, CVE-2018-18502, CVE-2018-18501.

  * debian/control*: Bump nss, sqlite, rustc, cargo and cbindgen build
    dependencies.
  * debian/browser.install.in: Install libmozwayland.so.

 -- Mike Hommey <glandium@debian.org>  Wed, 30 Jan 2019 11:04:24 +0900

firefox (64.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-29, also known as:
    CVE-2018-12407, CVE-2018-17466, CVE-2018-18492, CVE-2018-18493,
    CVE-2018-18494, CVE-2018-18495, CVE-2018-18496, CVE-2018-18497,
    CVE-2018-18498, CVE-2018-12406, CVE-2018-12405.

  * debian/rules, debian/browser.install.in: Properly copy the watermark
    to /usr/share/icons/hicolor/symbolic/apps.
  * debian/rules: Disable debug symbols on 32-bits architectures, that
    requires too much memory.
  * debian/browser.mozconfig.in:
    - Remove --enable-pie option, it's the default, now.
    - Remove --disable-nodejs now that it's required.
  * debian/control*:
    - Bump rustc, cargo, cbindgen, nss and sqlite dependencies.
    - Add nodejs build dependency.
  * debian/browser-symbolic.svg.in: Import the watermark used for the
    symbolic icon in the debian/ directory.

 -- Mike Hommey <glandium@debian.org>  Wed, 12 Dec 2018 09:26:47 +0900

firefox (63.0.3-1) unstable; urgency=medium

  * New upstream release.

  * debian/control*: Build depend on unversioned clang/llvm.
    Closes: #912802.
  * debian/rules: Use embedded libevent in backports. Closes: #910397.
  * debian/rules: Use GNU gold linker on i386 because BFD ld fails to link
    libxul.so (memory exhausted).

  * build/unix/elfhack/test.c: Try to ensure the bss section of the
    elfhack testcase stays large enough. bz#1505608.
  * memory/build/mozjemalloc.cpp: Fix run sizes for size classes >= 16KB
    on systems with large pages. bz#1507035. Closes: #911898.
  * media/libaom/moz.build: Use NEON_FLAGS instead of VPX_ASFLAGS for
    libaom neon code.
  * gfx/cairo/libpixman/src/pixman-vmx.c: Protect #include <config.h> in
    pixman-vmx.c like in other pixman-*.c files

 -- Mike Hommey <glandium@debian.org>  Mon, 26 Nov 2018 10:17:08 +0900

firefox (63.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/google.key: Use new Google API key, courtesy of Francois Marier.

 -- Mike Hommey <glandium@debian.org>  Fri, 02 Nov 2018 10:50:57 +0900

firefox (63.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-26, also known as:
    CVE-2018-12392, CVE-2018-12393, CVE-2018-12395, CVE-2018-12396,
    CVE-2018-12397, CVE-2018-12398, CVE-2018-12399, CVE-2018-12401,
    CVE-2018-12402, CVE-2018-12403, CVE-2018-12388, CVE-2018-12390.

  * debian/control*:
    - Bump nss dependency.
    - Add build dependency on cbindgen.
  * debian/browser.mozconfig.in: Disable nodejs until it's actually necessary.
  * debian/rules: Add -Wl,--compress-debug-sections=zlib to LDFLAGS to work
    around elfhack failing with unstripped binaries larger than 2GiB.

 -- Mike Hommey <glandium@debian.org>  Wed, 24 Oct 2018 08:32:15 +0900

firefox (62.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-24, also known as:
    CVE-2018-12386, CVE-2018-12387.

  * debian/extra-stuff/addonsInfo.js: Fixes to work with recent versions
    of Firefox. Closes: #909056.
  * debian/control*, debian/browser.mozconfig.in: Build ALSA support.
    Closes: #864987, #900062, #908349

 -- Mike Hommey <glandium@debian.org>  Wed, 03 Oct 2018 16:21:53 +0900

firefox (62.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-22, also known as CVE-2018-12385.
  * Ignore locale change events for the search service on shutdown.
    bz#1489820. Closes: #908932.

  * debian/control*:
    - Remove the sqlite and nss dependencies when not building against the
      system libraries.
    - Enforce nss, nspr and sqlite dependencies to the same versions as
      build dependencies. There are subtle non-ABI differences between
      versions that Firefox might be relying on (be it features, behavior
      changes/fixes, etc.) and can cause subtle problems when older
      versions are used. Closes: #908225, #908520.
    - Add a suggestion for pulseaudio.
  * debian/rules, debian/control: Add libavcodec-extra* packages to the list
    of recommends. Closes: #909130

  * js/src/jit/BaselineJIT.h: Disable baseline JIT when SSE2 is not supported
    at runtime. bz#1492064. Closes: #908396, #908449.
  * gfx/2d/Swizzle.cpp: Use Swizzle fallback when SSE2 is not supported.
    bz#1492065. Closes: #877445.

 -- Mike Hommey <glandium@debian.org>  Sat, 22 Sep 2018 09:02:25 +0900

firefox (62.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2018-20, also known as:
    CVE-2018-12377, CVE-2018-12378, CVE-2018-12383, CVE-2018-12375,
    CVE-2018-12376.

  * debian/control*:
    - Bump nss and sqlite build dependencies.
    - Build depend on llvm/clang 6.0 for buster. Closes: #906175.
  * debian/browser.mozconfig.in, debian/control*, debian/rules: Remove
    build dependency on libbz2-dev. It's not used anymore.
  * debian/noinstall.in: Remove the dictionaries directory, not part
    of the packaged Firefox anymore.
  * debian/l10n/gen: Use iso-codes json data instead of XML when present.
    Closes: #907611.

  * widget/gtk/nsAppShell.cpp: Use remoting name for call to


=== debian/control ===
Source: firefox
Section: web
Priority: optional
Maintainer: Maintainers of Mozilla-related packages <team+pkg-mozilla@tracker.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 9.20160114),
               autoconf2.13,
               libx11-dev,
               libx11-xcb-dev,
               libxt-dev,
               libgtk-3-dev,
               libgtk2.0-dev (>= 2.10),
               libglib2.0-dev (>= 2.16.0),
               libstartup-notification0-dev,
               libjpeg-dev,
               zlib1g-dev,
               libreadline-dev,
               python2.7,
               python-minimal (>= 2.6.6-13~),
               python3,
               python-ply,
               dpkg-dev (>= 1.16.1.1~),
               libnspr4-dev (>= 2:4.19~),
               libnss3-dev (>= 2:3.41~),
               libsqlite3-dev (>= 3.25.3),
               libvpx-dev (>= 1.5.0),
               libdbus-glib-1-dev,
               libffi-dev,
               libevent-dev (>= 1.4.1),
               libjsoncpp-dev,
               libpulse-dev,
               libasound2-dev,
               yasm (>= 1.1),
               rustc (>= 1.30),
               cargo (>= 0.31),
               llvm-dev,
               libclang-dev,
               clang,
               cbindgen (>= 0.6.7),
               nodejs (>= 8.11),
               zip,
               unzip,
               locales,
               xvfb,
               xfonts-base,
               xauth,
               ttf-bitstream-vera,
               fonts-freefont-ttf,
               fonts-dejima-mincho,
               iso-codes
Build-Conflicts: graphicsmagick-imagemagick-compat,
                 liboss4-salsa-dev,
                 libhildonmime-dev,
                 libosso-dev
Standards-Version: 3.9.8.0
Vcs-Git: https://salsa.debian.org/mozilla-team/firefox.git -b release/master
Vcs-Browser: https://salsa.debian.org/mozilla-team/firefox/commits/release/master

Package: firefox
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         fontconfig,
         procps,
         debianutils (>= 1.16),
         libsqlite3-0 (>= 3.25.3),
         libnspr4 (>= 2:4.19~),
         libnss3 (>= 2:3.41~)
Recommends: libavcodec58 | libavcodec-extra58 | libavcodec57 | libavcodec-extra57 | libavcodec56 | libavcodec-extra56 | libavcodec55 | libavcodec-extra55 | libavcodec54 | libavcodec-extra54 | libavcodec53 | libavcodec-extra53
Suggests: fonts-stix | otf-stix,
          fonts-lmodern,
          libgssapi-krb5-2 | libkrb53,
          libcanberra0,
          libgtk2.0-0,
          pulseaudio
Breaks: xul-ext-torbutton
Provides: www-browser,
          gnome-www-browser
Description: Mozilla Firefox web browser
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.


Package: firefox-l10n-all
Architecture: all
Section: metapackages
Depends: ${misc:Depends}, firefox-l10n-ach, firefox-l10n-af, firefox-l10n-an, firefox-l10n-ar, firefox-l10n-as, firefox-l10n-ast, firefox-l10n-az, firefox-l10n-be, firefox-l10n-bg, firefox-l10n-bn-bd, firefox-l10n-bn-in, firefox-l10n-br, firefox-l10n-bs, firefox-l10n-ca, firefox-l10n-cak, firefox-l10n-cs, firefox-l10n-cy, firefox-l10n-da, firefox-l10n-de, firefox-l10n-dsb, firefox-l10n-el, firefox-l10n-en-ca, firefox-l10n-en-gb, firefox-l10n-en-za, firefox-l10n-eo, firefox-l10n-es-ar, firefox-l10n-es-cl, firefox-l10n-es-es, firefox-l10n-es-mx, firefox-l10n-et, firefox-l10n-eu, firefox-l10n-fa, firefox-l10n-ff, firefox-l10n-fi, firefox-l10n-fr, firefox-l10n-fy-nl, firefox-l10n-ga-ie, firefox-l10n-gd, firefox-l10n-gl, firefox-l10n-gn, firefox-l10n-gu-in, firefox-l10n-he, firefox-l10n-hi-in, firefox-l10n-hr, firefox-l10n-hsb, firefox-l10n-hu, firefox-l10n-hy-am, firefox-l10n-ia, firefox-l10n-id, firefox-l10n-is, firefox-l10n-it, firefox-l10n-ja, firefox-l10n-ka, firefox-l10n-kab, firefox-l10n-kk, firefox-l10n-km, firefox-l10n-kn, firefox-l10n-ko, firefox-l10n-lij, firefox-l10n-lt, firefox-l10n-lv, firefox-l10n-mai, firefox-l10n-mk, firefox-l10n-ml, firefox-l10n-mr, firefox-l10n-ms, firefox-l10n-my, firefox-l10n-nb-no, firefox-l10n-ne-np, firefox-l10n-nl, firefox-l10n-nn-no, firefox-l10n-oc, firefox-l10n-or, firefox-l10n-pa-in, firefox-l10n-pl, firefox-l10n-pt-br, firefox-l10n-pt-pt, firefox-l10n-rm, firefox-l10n-ro, firefox-l10n-ru, firefox-l10n-si, firefox-l10n-sk, firefox-l10n-sl, firefox-l10n-son, firefox-l10n-sq, firefox-l10n-sr, firefox-l10n-sv-se, firefox-l10n-ta, firefox-l10n-te, firefox-l10n-th, firefox-l10n-tr, firefox-l10n-uk, firefox-l10n-ur, firefox-l10n-uz, firefox-l10n-vi, firefox-l10n-xh, firefox-l10n-zh-cn, firefox-l10n-zh-tw
Description: All language packages for Firefox (meta)
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This is a metapackage depending on all available localizations of Firefox.

Package: firefox-l10n-ach
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Description: Acoli language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Acoli.

Package: firefox-l10n-af
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Recommends: hunspell-af
Description: Afrikaans language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Afrikaans.

Package: firefox-l10n-an
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Recommends: hunspell-an
Description: Aragonese language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Aragonese.

Package: firefox-l10n-ar
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Recommends: hunspell-ar
Description: Arabic language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Arabic.

Package: firefox-l10n-as
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Description: Assamese language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Assamese.

Package: firefox-l10n-ast
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Description: Asturian language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Asturian.

Package: firefox-l10n-az
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Description: Azerbaijani language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Azerbaijani.

Package: firefox-l10n-be
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Recommends: hunspell-be
Description: Belarusian language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Belarusian.

Package: firefox-l10n-bg
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Recommends: hunspell-bg | myspell-bg
Description: Bulgarian language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Bulgarian.

Package: firefox-l10n-bn-bd
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Recommends: hunspell-bn
Description: Bengali (Bangladesh) language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Bengali (Bangladesh).

Package: firefox-l10n-bn-in
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Recommends: hunspell-bn
Description: Bengali (India) language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Bengali (India).

Package: firefox-l10n-br
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Recommends: hunspell-br
Description: Breton language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Breton.

Package: firefox-l10n-bs
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Recommends: hunspell-bs
Description: Bosnian language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Bosnian.

Package: firefox-l10n-ca
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Recommends: hunspell-ca
Description: Catalan language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Catalan.

Package: firefox-l10n-cak
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Description: Kaqchikel language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Kaqchikel.

Package: firefox-l10n-cs
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Recommends: hunspell-cs
Description: Czech language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Czech.

Package: firefox-l10n-cy
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)
Description: Welsh language package for Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox in Welsh.

Package: firefox-l10n-da
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)

=== debian/rules ===
#!/usr/bin/make -f
TESTDIR = $(shell dh_testdir || echo no)
ifeq (,$(TESTDIR))
include debian/make.mk
# Use dpkg-buildflags to get hardening flags, exclude non-hardening flags,
# and disable read-only relocations.
dpkg_buildflags = $(and $(1),$(shell DEB_BUILD_MAINT_OPTIONS=hardening=-relro DEB_CFLAGS_MAINT_STRIP="$(shell DEB_BUILD_MAINT_OPTIONS=hardening=-all dpkg-buildflags --get $(1))" dpkg-buildflags --get $(1)))
$(call lazy,CFLAGS,$$(call dpkg_buildflags,CFLAGS))
$(call lazy,CPPFLAGS,$$(call dpkg_buildflags,CPPFLAGS))
$(call lazy,LDFLAGS,$$(call dpkg_buildflags,LDFLAGS))

$(call lazy,DEB_HOST_GNU_TYPE,$$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE))
$(call lazy,DEB_BUILD_GNU_TYPE,$$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE))
$(call lazy,DEB_BUILD_ARCH_BITS,$$(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS))
$(call lazy,DEB_HOST_ARCH,$$(shell dpkg-architecture -qDEB_HOST_ARCH))
$(call lazy,DEB_HOST_ARCH_ENDIAN,$$(shell dpkg-architecture -qDEB_HOST_ARCH_ENDIAN))

PYTHON := python -B

PRODUCT := browser
include debian/upstream.mk

SYSTEM_LIBS = zlib ffi
ifeq (,$(filter wheezy jessie stretch,$(DIST)))
SYSTEM_LIBS += nspr nss sqlite libevent
endif
ifeq (,$(filter wheezy jessie,$(DIST)))
SYSTEM_LIBS += vpx
endif

define system_lib
USE_SYSTEM_$(1) ?= 1
SYSTEM_LIBS_VARS += $$(if $$(USE_SYSTEM_$(1)),USE_SYSTEM_$(1))
endef
$(foreach lib,$(sort $(call uc,$(SYSTEM_LIBS))),$(eval $(call system_lib,$(lib))))

ifeq ($(DIST),wheezy)
CC := /usr/lib/gcc-mozilla/bin/gcc
CXX := /usr/lib/gcc-mozilla/bin/g++
endif

OFFICIAL_BRANDING := browser/branding/official
MOZILLA_OFFICIAL := 1
# ESR, Beta and Releases use the official branding
ifneq (,$(filter release beta esr%,$(SHORT_SOURCE_CHANNEL)))
BRANDING ?= $(OFFICIAL_BRANDING)
else
ifneq (,$(filter aurora,$(SHORT_SOURCE_CHANNEL)))
BRANDING ?= browser/branding/aurora
else
ifneq (,$(filter central,$(SHORT_SOURCE_CHANNEL)))
BRANDING ?= browser/branding/nightly
else
$(error $(PRODUCT_NAME) branding for $(SOURCE_CHANNEL) is unsupported)
endif
endif
endif

ifeq (firefox-esr,$(DEBIAN_SOURCE))
TRANSITION = 1
endif

BRANDING_CONFIGURE_FLAG = $(if $(filter $(BRANDING),$(OFFICIAL_BRANDING)),--enable-official-branding,--with-branding=$(BRANDING))

# Define PRODUCT, product and Product variables (replacing product with the
# actual value of $(PRODUCT))
$(PRODUCT) := $(call lc,$(PRODUCT_NAME))
uc_first = $(strip $(eval __tmp := $(1))$(foreach l,$(letters),$(eval __tmp := $(subst $(l),$(l) ,$(__tmp))))$(call uc,$(firstword $(__tmp)))$(1:$(firstword $(__tmp))%=%))
DISPLAY_NAME := $(call uc_first,$(PRODUCT_DOWNLOAD_NAME))$(if $(filter %-esr,$(PRODUCT_NAME)), ESR)
$(call uc,$(PRODUCT)) := $(call uc,$(DISPLAY_NAME))
Product := $(call uc_first,$(PRODUCT))
$(Product) := $(DISPLAY_NAME)

MOZ_APP_REMOTINGNAME := $(call uc_first,$($(PRODUCT)))

LIB_DIR := /usr/lib/$($(PRODUCT))
SHARE_DIR := /usr/share/$($(PRODUCT))

LDFLAGS := -Wl,--as-needed
# Make the linker generate compressed debug sections. dh_strip would do
# the same anyways, but it allows elfhack to work in combination with
# unstripped binaries when they would normally be larger than 2GiB.
LDFLAGS += -Wl,--compress-debug-sections=zlib

# Disable debug symbols when building on 32-bits machines, because
# a) the rust compiler can't deal with it in the available address
# space, and b) the linker can't deal with it in the available address space
# either.
ifneq (64,$(DEB_BUILD_ARCH_BITS))
	CONFIGURE_FLAGS += --disable-debug-symbols
endif

# Reduce memory usage of the linker at the expense of processing time
# This should help on lower-end architectures like arm and mips, which
# spend an immense amount of time swapping.
LDFLAGS += -Wl,--reduce-memory-overheads
LDFLAGS += -Wl,--no-keep-memory
# Also add execution time and memory usage stats in the logs
LDFLAGS += -Wl,--stats

AUTOCONF_DIRS := build/autoconf

CONFIGURE_FLAGS += --enable-update-channel=$(CHANNEL)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += --disable-optimize
endif

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += --enable-debug
endif
ifneq (,$(filter %i386 %amd64 armel armhf arm64,$(DEB_HOST_ARCH)))
	MOZ_FFVPX = 1
endif
ifneq (,$(filter i386 amd64 armel armhf,$(DEB_HOST_ARCH)))
	CRASH_REPORTER = 1
endif

ifeq (default,$(origin CC))
CC := gcc
endif
ifeq (default,$(origin CXX))
CXX := g++
endif

ifneq (,$(findstring gcc,$(CC)))
ifeq (,$(filter 4.% 5.%,$(shell $(CC) -dumpversion)))
CFLAGS += -fno-schedule-insns2 -fno-lifetime-dse -fno-delete-null-pointer-checks
ifneq (,$(filter armel armhf,$(DEB_HOST_ARCH)))
CFLAGS += -fno-schedule-insns
endif
endif
endif

ifneq (,$(filter mips mipsel,$(DEB_HOST_ARCH)))
CFLAGS += -mfp32
endif

CXXFLAGS = $(CFLAGS)

ifeq ($(DEB_HOST_ARCH_ENDIAN),big)
ICU_VERSION := $(shell echo U_ICU_VERSION_MAJOR_NUM | cpp -P -include $(CURDIR)/intl/icu/source/common/unicode/uvernum.h)
ICU_DATA_FILE = icudt$(ICU_VERSION)b.dat
endif

EXPORTS := CC CXX CFLAGS CXXFLAGS CPPFLAGS LDFLAGS MOZILLA_OFFICIAL ICU_DATA_FILE
$(call lazy,CONFIGURE_ENV,$$(foreach export,$(EXPORTS),$$(export)="$$($$(export))"))

IN_FILES := $(wildcard debian/*.in)
ifeq ($(PRODUCT_NAME),firefox)
IN_FILES := $(filter-out debian/browser.preinst.in debian/browser.postrm.in debian/$($(PRODUCT)).in,$(IN_FILES))
endif
preprocessed_filename = $(subst $(PRODUCT),$($(PRODUCT)),$(subst GRE_VERSION,$(GRE_VERSION),$(1:.in=)))
define preprocess
$(call preprocessed_filename,$(1)): $(1)
PREPROCESSED_FILES += $(call preprocessed_filename,$(1))
endef
$(foreach f,$(IN_FILES),$(eval $(call preprocess, $(f))))

GENERATED_FILES += $(PREPROCESSED_FILES) debian/l10n/$(PRODUCT)-l10n.control
debian/control: debian/rules debian/changelog debian/l10n/$(PRODUCT)-l10n.control

$(call lazy,L10N_PACKAGES,$$(foreach lang,$$(L10N_LANGS),$($(PRODUCT))-l10n-$$(call lc,$$(lang))))
$(call lazy,L10N_PACKAGES_DEPS,$$(shell echo $$(L10N_PACKAGES) | sed 's/ /, /g'))

debian/l10n/$(PRODUCT)-l10n.control: %: %.in
	$(PYTHON) debian/l10n/gen $(L10N_LANGS) > $@

$(call lazy,LIBAVCODEC,$$(shell awk -F\" '/libavcodec\.so/ { sub(/libavcodec\.so\./,"", $$$$2); p = "libavcodec" $$$$2 " | libavcodec-extra" $$$$2; if (d) { d = d " | " p } else { d = p } } END { print d }' dom/media/platforms/ffmpeg/FFmpegRuntimeLinker.cpp))

$(PREPROCESSED_FILES): VARS = GRE_VERSION $(PRODUCT) $(call uc,$(PRODUCT)) $(Product) MOZ_APP_REMOTINGNAME $(SYSTEM_LIBS_VARS) SHORT_SOURCE_CHANNEL DIST TRANSITION MOZ_FFVPX CRASH_REPORTER DEB_HOST_ARCH
debian/control: VARS += L10N_PACKAGES_DEPS PRODUCT LIBAVCODEC
$(PREPROCESSED_FILES):
	$(PYTHON) python/mozbuild/mozbuild/preprocessor.py --marker % -Fsubstitution $(foreach var,$(VARS),-D$(var)="$($(var))" )$< > $@

ifdef TRANSITION
MAINTSCRIPTS := $(addprefix debian/,$(addsuffix .maintscript,$(shell awk -F/ '$$1 != "searchplugins" { next } $$2 == "locale" && $$3 != "en-US" { p="iceweasel-l10n-" $$3 } $$2 == "common" || ($$2 "/" $$3 == "locale/en-US") { p="iceweasel" } !done[p] { print p; done[p] = 1 }' debian/removed_conffiles)))

GENERATED_FILES += $(MAINTSCRIPTS)

debian/iceweasel.maintscript: debian/removed_conffiles
	(grep -v searchplugins/locale $<; grep searchplugins/locale/en-US $<) | awk '{print "rm_conffile /etc/iceweasel/" $$0, "45.0esr-2~", "iceweasel"}' > $@

debian/iceweasel-l10n-%.maintscript: debian/removed_conffiles
	grep -i searchplugins/locale/$* $< | awk '{print "rm_conffile /etc/iceweasel/" $$0, "45.0esr-2~", "iceweasel-l10n-$*"}' > $@
endif

override_dh_auto_configure:

stamps/prepare-configure:: stamps/dummy
	for dir in $(AUTOCONF_DIRS); do \
		for file in config.guess config.sub; do \
			sed -i '2!b;/^#/ i\exec "/usr/share/misc/'$$file'" "$$@"' $$dir/$$file; \
		done; \
	done
	cp -f configure.in configure && chmod +x configure
	cp -f js/src/configure.in js/src/configure && chmod +x js/src/configure

stamps/configure-check-$(PRODUCT):: stamps/configure-$(PRODUCT)
# Ensure --{with,enable}-system options properly set expected variables
# according to the definitions in the mozconfig file.

## firefox 65.0.2~mozillabinaries

=== debian/changelog ===
firefox (65.0.2~mozillabinaries-1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 28 Feb 2019 07:47:32 -0800

## firefox 66.0~mozillabinaries

=== debian/changelog ===
firefox (66.0~mozillabinaries-1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 20 Mar 2019 10:58:52 -0700

## firefox 66.0.1~mozillabinaries

=== debian/changelog ===
firefox (66.0.1~mozillabinaries-1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 24 Mar 2019 09:06:52 -0700

## firefox 66.0.1

=== debian/changelog ===
firefox (66.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2019-09, also known as:
    CVE-2019-9810, CVE-2019-9813.

  * debian/control*: Bump nss, sqlite, rustc, cargo and cbindgen build
    dependencies.

 -- Mike Hommey <glandium@debian.org>  Sun, 24 Mar 2019 08:17:24 +0900

firefox (66.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2019-07, also known as:
    CVE-2019-9790, CVE-2019-9791, CVE-2019-9792, CVE-2019-9793,
    CVE-2019-9795, CVE-2019-9796, CVE-2019-9797, CVE-2019-9799,
    CVE-2019-9802, CVE-2019-9803, CVE-2019-9805, CVE-2019-9806,
    CVE-2019-9807, CVE-2019-9809, CVE-2019-9808, CVE-2019-9789,
    CVE-2019-9788.

  * debian/browser.mozconfig.in: Adjust to the upstream change wrt Google
    API key configure options.
  * debian/control*: Add nasm build dependency on amd64 and i386.

 -- Mike Hommey <glandium@debian.org>  Wed, 20 Mar 2019 18:35:38 +0900

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,8 @@
                python-ply,
                dpkg-dev (>= 1.16.1.1~),
                libnspr4-dev (>= 2:4.19~),
-               libnss3-dev (>= 2:3.41~),
-               libsqlite3-dev (>= 3.25.3),
+               libnss3-dev (>= 2:3.42~),
+               libsqlite3-dev (>= 3.26.0),
                libvpx-dev (>= 1.5.0),
                libdbus-glib-1-dev,
                libffi-dev,
@@ -32,12 +32,13 @@
                libpulse-dev,
                libasound2-dev,
                yasm (>= 1.1),
-               rustc (>= 1.30),
-               cargo (>= 0.31),
+               nasm (>= 2.13) [amd64 i386],
+               rustc (>= 1.31),
+               cargo (>= 0.32),
                llvm-dev,
                libclang-dev,
                clang,
-               cbindgen (>= 0.6.7),
+               cbindgen (>= 0.6.8),
                nodejs (>= 8.11),
                zip,
                unzip,
@@ -64,9 +65,9 @@
          fontconfig,
          procps,
          debianutils (>= 1.16),
-         libsqlite3-0 (>= 3.25.3),
+         libsqlite3-0 (>= 3.26.0),
          libnspr4 (>= 2:4.19~),
-         libnss3 (>= 2:3.41~)
+         libnss3 (>= 2:3.42~)
 Recommends: libavcodec58 | libavcodec-extra58 | libavcodec57 | libavcodec-extra57 | libavcodec56 | libavcodec-extra56 | libavcodec55 | libavcodec-extra55 | libavcodec54 | libavcodec-extra54 | libavcodec53 | libavcodec-extra53
 Suggests: fonts-stix | otf-stix,
           fonts-lmodern,
@@ -294,4 +295,3 @@
 Architecture: all
 Section: localization
 Depends: ${misc:Depends},
-         firefox (>= ${source:Version}), firefox (<< ${source:Version}.1~)

## firefox 66.0.2~mozillabinaries

=== debian/changelog ===
firefox (66.0.2~mozillabinaries-1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 29 Mar 2019 09:57:10 -0700

## firefox 66.0.3~mozillabinaries

=== debian/changelog ===
firefox (66.0.3~mozillabinaries-1mx17+3) mx; urgency=medium

  * Additional fix to resolve 
  * "find additional search engines" issue.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 04 May 2019 07:10:33 -0700

firefox (66.0.3~mozillabinaries-1mx17+2) mx; urgency=medium

  * Removed assignment for "browser.search.searchEnginesURL"

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 03 May 2019 19:48:51 -0700

firefox (66.0.3~mozillabinaries-1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 10 Apr 2019 14:34:58 -0700

## firefox 66.0.3%2Bbuild1

=== testing/raptor/requirements.txt ===
mozcrash ~= 1.0
mozrunner ~= 7.0
mozprofile ~= 2.1
manifestparser >= 1.1
wptserve ~= 1.4.0
mozdevice >= 1.1.6
